Gtk2::TreeModelFilter(3p)

NAME
Gtk2::TreeModelFilter

HIERARCHY
  Glib::Object
  +----Gtk2::TreeModelFilter

INTERFACES
  Gtk2::TreeModel
  Gtk2::TreeDragSource

METHODS

•   $child_model (Gtk2::TreeModel)

•   $root (Gtk2::TreePath or undef)

•   $child_iter (Gtk2::TreeIter)

•   $child_path (Gtk2::TreePath)

•   $filter_iter (Gtk2::TreeIter)

•   $filter_path (Gtk2::TreePath)

•   $types (scalar) type name string for one column, or an arrayref of type names for multiple columns

•   $func (scalar)

•   $data (scalar)

func is called as

    sub myfunc {
      my ($filter, $iter, $column_num, $data) = @_;
      ...

and should return the value from the filtered model that iter row and column number.

•   $column (integer)

•   $func (scalar)

•   $data (scalar)

PROPERTIES

'child-model' (Gtk2::TreeModel : readable / writable / construct-only / private)
    The model for the filtermodel to filter

'virtual-root' (Gtk2::TreePath : readable / writable / construct-only / private)
    The virtual root (relative to the child model) for this filtermodel

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.